<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: framework::core::cvmatrix Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1core_1_1cvmatrix.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classframework_1_1core_1_1cvmatrix-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::core::cvmatrix Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class defining a matrix of kind CvMat.  
 <a href="classframework_1_1core_1_1cvmatrix.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="cvmatrix_8h_source.html">cvmatrix.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::core::cvmatrix:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1core_1_1cvmatrix.png" usemap="#framework::core::cvmatrix_map" alt=""/>
  <map id="framework::core::cvmatrix_map" name="framework::core::cvmatrix_map">
<area href="classframework_1_1core_1_1io__data.html" title="Abstract class for data types. " alt="framework::core::io_data" shape="rect" coords="0,112,156,136"/>
<area href="classframework_1_1core_1_1_mutex.html" title="Class defining a mutex. " alt="framework::core::Mutex" shape="rect" coords="0,56,156,80"/>
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="0,0,156,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1cvmatrix_1_1_type.html">Type</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a526f1073b58d1fee3701ab799876a80c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1cvmatrix.html#a526f1073b58d1fee3701ab799876a80c">cvmatrix</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, const <a class="el" href="classframework_1_1core_1_1cvmatrix__descriptor.html">cvmatrix_descriptor</a> *descriptor, <a class="el" href="classframework_1_1core_1_1_scalar_type.html">ScalarType</a> const &amp;elementDataType, std::string name=&quot;&quot;, uint32_t n=1)</td></tr>
<tr class="memdesc:a526f1073b58d1fee3701ab799876a80c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a526f1073b58d1fee3701ab799876a80c">More...</a><br /></td></tr>
<tr class="separator:a526f1073b58d1fee3701ab799876a80c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cd0696287c3c94e49b43544e0f62b1f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1cvmatrix.html#a7cd0696287c3c94e49b43544e0f62b1f">cvmatrix</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, uint32_t rows, uint32_t cols, <a class="el" href="classframework_1_1core_1_1_scalar_type.html">ScalarType</a> const &amp;elementDataType, std::string name=&quot;&quot;, uint32_t n=1)</td></tr>
<tr class="memdesc:a7cd0696287c3c94e49b43544e0f62b1f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a7cd0696287c3c94e49b43544e0f62b1f">More...</a><br /></td></tr>
<tr class="separator:a7cd0696287c3c94e49b43544e0f62b1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15496182b07f60d8dee6ebbf273454fa"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1cvmatrix.html#a15496182b07f60d8dee6ebbf273454fa">~cvmatrix</a> ()</td></tr>
<tr class="memdesc:a15496182b07f60d8dee6ebbf273454fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a15496182b07f60d8dee6ebbf273454fa">More...</a><br /></td></tr>
<tr class="separator:a15496182b07f60d8dee6ebbf273454fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4447c18b41587f8750878c419cfc28c8"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1cvmatrix.html#a4447c18b41587f8750878c419cfc28c8">Value</a> (uint32_t row, uint32_t col) const </td></tr>
<tr class="memdesc:a4447c18b41587f8750878c419cfc28c8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Element value.  <a href="#a4447c18b41587f8750878c419cfc28c8">More...</a><br /></td></tr>
<tr class="separator:a4447c18b41587f8750878c419cfc28c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb106023ef8d6006394b87caf2afa81e"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1cvmatrix.html#afb106023ef8d6006394b87caf2afa81e">ValueNoMutex</a> (uint32_t row, uint32_t col) const </td></tr>
<tr class="memdesc:afb106023ef8d6006394b87caf2afa81e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Element value.  <a href="#afb106023ef8d6006394b87caf2afa81e">More...</a><br /></td></tr>
<tr class="separator:afb106023ef8d6006394b87caf2afa81e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a680a3d880810cecf9d1b60b117a51b64"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1cvmatrix.html#a680a3d880810cecf9d1b60b117a51b64">SetValue</a> (uint32_t row, uint32_t col, float value)</td></tr>
<tr class="memdesc:a680a3d880810cecf9d1b60b117a51b64"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set element value.  <a href="#a680a3d880810cecf9d1b60b117a51b64">More...</a><br /></td></tr>
<tr class="separator:a680a3d880810cecf9d1b60b117a51b64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e4580a7dbb056786f6ad6795580d20c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1cvmatrix.html#a9e4580a7dbb056786f6ad6795580d20c">SetValueNoMutex</a> (uint32_t row, uint32_t col, float value)</td></tr>
<tr class="memdesc:a9e4580a7dbb056786f6ad6795580d20c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set element value.  <a href="#a9e4580a7dbb056786f6ad6795580d20c">More...</a><br /></td></tr>
<tr class="separator:a9e4580a7dbb056786f6ad6795580d20c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bf7a0facaf26e2d3dd8eaab5a72f1ee"><td class="memItemLeft" align="right" valign="top">CvMat *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1cvmatrix.html#a6bf7a0facaf26e2d3dd8eaab5a72f1ee">getCvMat</a> (void) const </td></tr>
<tr class="memdesc:a6bf7a0facaf26e2d3dd8eaab5a72f1ee"><td class="mdescLeft">&#160;</td><td class="mdescRight">get CvMat  <a href="#a6bf7a0facaf26e2d3dd8eaab5a72f1ee">More...</a><br /></td></tr>
<tr class="separator:a6bf7a0facaf26e2d3dd8eaab5a72f1ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80457477d09eaf847110b82989c87bd5"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1cvmatrix.html#a80457477d09eaf847110b82989c87bd5">Name</a> (uint32_t row, uint32_t col) const </td></tr>
<tr class="memdesc:a80457477d09eaf847110b82989c87bd5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Element name.  <a href="#a80457477d09eaf847110b82989c87bd5">More...</a><br /></td></tr>
<tr class="separator:a80457477d09eaf847110b82989c87bd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adef859c1c0e524f76f59476cb2c6292b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1_i_o_data_element.html">IODataElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1cvmatrix.html#adef859c1c0e524f76f59476cb2c6292b">Element</a> (uint32_t row, uint32_t col) const </td></tr>
<tr class="memdesc:adef859c1c0e524f76f59476cb2c6292b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Element.  <a href="#adef859c1c0e524f76f59476cb2c6292b">More...</a><br /></td></tr>
<tr class="separator:adef859c1c0e524f76f59476cb2c6292b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf593a38f17bde5aeb7ad841196b79b8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1_i_o_data_element.html">IODataElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1cvmatrix.html#abf593a38f17bde5aeb7ad841196b79b8">Element</a> (uint32_t index) const </td></tr>
<tr class="memdesc:abf593a38f17bde5aeb7ad841196b79b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Element.  <a href="#abf593a38f17bde5aeb7ad841196b79b8">More...</a><br /></td></tr>
<tr class="separator:abf593a38f17bde5aeb7ad841196b79b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c7aca4feb0d100c3ac7e33026f390d8"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1cvmatrix.html#a5c7aca4feb0d100c3ac7e33026f390d8">Rows</a> (void) const </td></tr>
<tr class="memdesc:a5c7aca4feb0d100c3ac7e33026f390d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of rows.  <a href="#a5c7aca4feb0d100c3ac7e33026f390d8">More...</a><br /></td></tr>
<tr class="separator:a5c7aca4feb0d100c3ac7e33026f390d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16b419f581afa7a562842af5759ba9e6"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1cvmatrix.html#a16b419f581afa7a562842af5759ba9e6">Cols</a> (void) const </td></tr>
<tr class="memdesc:a16b419f581afa7a562842af5759ba9e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of colomns.  <a href="#a16b419f581afa7a562842af5759ba9e6">More...</a><br /></td></tr>
<tr class="separator:a16b419f581afa7a562842af5759ba9e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d22faa7c809e60a0c46e405803b7f04"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1d22faa7c809e60a0c46e405803b7f04"></a>
<a class="el" href="classframework_1_1core_1_1cvmatrix_1_1_type.html">Type</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetDataType</b> () const </td></tr>
<tr class="separator:a1d22faa7c809e60a0c46e405803b7f04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1io__data"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1io__data')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></td></tr>
<tr class="memitem:a500e7488e41a484be23b29e13645cf8b inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#a500e7488e41a484be23b29e13645cf8b">io_data</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, std::string name, int n)</td></tr>
<tr class="memdesc:a500e7488e41a484be23b29e13645cf8b inherit pub_methods_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a500e7488e41a484be23b29e13645cf8b">More...</a><br /></td></tr>
<tr class="separator:a500e7488e41a484be23b29e13645cf8b inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa08b00b8f76a7bb14d7498e8e34649a2 inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#aa08b00b8f76a7bb14d7498e8e34649a2">~io_data</a> ()</td></tr>
<tr class="memdesc:aa08b00b8f76a7bb14d7498e8e34649a2 inherit pub_methods_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aa08b00b8f76a7bb14d7498e8e34649a2">More...</a><br /></td></tr>
<tr class="separator:aa08b00b8f76a7bb14d7498e8e34649a2 inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4eca364240e1b754fa989bda9717d5a inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#af4eca364240e1b754fa989bda9717d5a">SetDataTime</a> (<a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a> time)</td></tr>
<tr class="memdesc:af4eca364240e1b754fa989bda9717d5a inherit pub_methods_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set data time.  <a href="#af4eca364240e1b754fa989bda9717d5a">More...</a><br /></td></tr>
<tr class="separator:af4eca364240e1b754fa989bda9717d5a inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f765c0a062a096fc4a4e0b8ef924cae inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#a5f765c0a062a096fc4a4e0b8ef924cae">DataTime</a> (void) const </td></tr>
<tr class="memdesc:a5f765c0a062a096fc4a4e0b8ef924cae inherit pub_methods_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data time.  <a href="#a5f765c0a062a096fc4a4e0b8ef924cae">More...</a><br /></td></tr>
<tr class="separator:a5f765c0a062a096fc4a4e0b8ef924cae inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9549e4e07891d29b00710b75d92bef0e inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classframework_1_1core_1_1io__data.html">io_data</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#a9549e4e07891d29b00710b75d92bef0e">Prev</a> (int n) const </td></tr>
<tr class="memdesc:a9549e4e07891d29b00710b75d92bef0e inherit pub_methods_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Previous data.  <a href="#a9549e4e07891d29b00710b75d92bef0e">More...</a><br /></td></tr>
<tr class="separator:a9549e4e07891d29b00710b75d92bef0e inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_mutex"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_mutex')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_mutex.html">framework::core::Mutex</a></td></tr>
<tr class="memitem:aa003ee75f09b85ecb182a135a42a739e inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_mutex.html#aa003ee75f09b85ecb182a135a42a739e">Mutex</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, std::string name=&quot;&quot;)</td></tr>
<tr class="memdesc:aa003ee75f09b85ecb182a135a42a739e inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aa003ee75f09b85ecb182a135a42a739e">More...</a><br /></td></tr>
<tr class="separator:aa003ee75f09b85ecb182a135a42a739e inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a67ec45af9ba25a8a885d8473c9ae65 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_mutex.html#a3a67ec45af9ba25a8a885d8473c9ae65">~Mutex</a> ()</td></tr>
<tr class="memdesc:a3a67ec45af9ba25a8a885d8473c9ae65 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a3a67ec45af9ba25a8a885d8473c9ae65">More...</a><br /></td></tr>
<tr class="separator:a3a67ec45af9ba25a8a885d8473c9ae65 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4eb4450c5af21f4ba6c16b2a58e7d0e4 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_mutex.html#a4eb4450c5af21f4ba6c16b2a58e7d0e4">GetMutex</a> (void) const </td></tr>
<tr class="memdesc:a4eb4450c5af21f4ba6c16b2a58e7d0e4 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">GetMutex.  <a href="#a4eb4450c5af21f4ba6c16b2a58e7d0e4">More...</a><br /></td></tr>
<tr class="separator:a4eb4450c5af21f4ba6c16b2a58e7d0e4 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a747027e52ff793c20016eb82b3a242e2 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_mutex.html#a747027e52ff793c20016eb82b3a242e2">ReleaseMutex</a> (void) const </td></tr>
<tr class="memdesc:a747027e52ff793c20016eb82b3a242e2 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">ReleaseMutex.  <a href="#a747027e52ff793c20016eb82b3a242e2">More...</a><br /></td></tr>
<tr class="separator:a747027e52ff793c20016eb82b3a242e2 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">Object</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a97617b01df8aedc07b2ba46ef4988994">More...</a><br /></td></tr>
<tr class="separator:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a> ()</td></tr>
<tr class="memdesc:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac934815b59eb1cf1a47bdb114fa86da0">More...</a><br /></td></tr>
<tr class="separator:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ae19cf04d95b4cabb8c6064375b15337f">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#ae19cf04d95b4cabb8c6064375b15337f">More...</a><br /></td></tr>
<tr class="separator:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a49660b572cdbedc6a665d5d396ed00a1">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a49660b572cdbedc6a665d5d396ed00a1">More...</a><br /></td></tr>
<tr class="separator:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a8dda2eca639eb56bb2c3f26de04f2678">Parent</a> (void) const </td></tr>
<tr class="memdesc:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a8dda2eca639eb56bb2c3f26de04f2678">More...</a><br /></td></tr>
<tr class="separator:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a7fb6234586cd406b3bea93aadf01ba16">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#a7fb6234586cd406b3bea93aadf01ba16">More...</a><br /></td></tr>
<tr class="separator:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aee8de0c31d51e165fed466a4c8bcf6c4">Childs</a> (void) const </td></tr>
<tr class="memdesc:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#aee8de0c31d51e165fed466a4c8bcf6c4">More...</a><br /></td></tr>
<tr class="separator:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aec1974099e78e731ba9c3dd1ed05de94">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#aec1974099e78e731ba9c3dd1ed05de94">More...</a><br /></td></tr>
<tr class="separator:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#abb73af04b52a2ba67a2d2ce1a74330a2">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#abb73af04b52a2ba67a2d2ce1a74330a2">More...</a><br /></td></tr>
<tr class="separator:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a6f48a765168b2fe4a629234e0b778559">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a6f48a765168b2fe4a629234e0b778559">More...</a><br /></td></tr>
<tr class="separator:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a56a6221f2ce124d7c53b15a423a47b08">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a56a6221f2ce124d7c53b15a423a47b08">More...</a><br /></td></tr>
<tr class="separator:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7201b52b50f64586d1ea82cc1f6a2e6f"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> =0, 
<b>Red</b> =31, 
<b>Green</b> =32, 
<b>Orange</b> =33
 }</td></tr>
<tr class="separator:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classframework_1_1core_1_1io__data"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classframework_1_1core_1_1io__data')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></td></tr>
<tr class="memitem:aecf70fbea0ef977062dd7146b9006490 inherit pro_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#aecf70fbea0ef977062dd7146b9006490">AppendLogDescription</a> (std::string description, <a class="el" href="classframework_1_1core_1_1_data_type.html">DataType</a> const &amp;datatype)</td></tr>
<tr class="memdesc:aecf70fbea0ef977062dd7146b9006490 inherit pro_methods_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Specify the description of the reimplemented class data's.  <a href="#aecf70fbea0ef977062dd7146b9006490">More...</a><br /></td></tr>
<tr class="separator:aecf70fbea0ef977062dd7146b9006490 inherit pro_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65e6d218e3699bfbb7c8c958d85156bf inherit pro_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#a65e6d218e3699bfbb7c8c958d85156bf">SetPtrToCircle</a> (void **ptr)</td></tr>
<tr class="memdesc:a65e6d218e3699bfbb7c8c958d85156bf inherit pro_methods_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the datas to circle.  <a href="#a65e6d218e3699bfbb7c8c958d85156bf">More...</a><br /></td></tr>
<tr class="separator:a65e6d218e3699bfbb7c8c958d85156bf inherit pro_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classframework_1_1core_1_1io__data"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classframework_1_1core_1_1io__data')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></td></tr>
<tr class="memitem:a12e0da00d9b0af3e7009f7c840d91272 inherit pro_attribs_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1io__data.html">io_data</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#a12e0da00d9b0af3e7009f7c840d91272">prev</a></td></tr>
<tr class="memdesc:a12e0da00d9b0af3e7009f7c840d91272 inherit pro_attribs_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to previous data.  <a href="#a12e0da00d9b0af3e7009f7c840d91272">More...</a><br /></td></tr>
<tr class="separator:a12e0da00d9b0af3e7009f7c840d91272 inherit pro_attribs_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class defining a matrix of kind CvMat. </p>
<p>CvMat is a matrix struct defined in OpenCV. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a526f1073b58d1fee3701ab799876a80c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::core::cvmatrix::cvmatrix </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classframework_1_1core_1_1cvmatrix__descriptor.html">cvmatrix_descriptor</a> *&#160;</td>
          <td class="paramname"><em>descriptor</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classframework_1_1core_1_1_scalar_type.html">ScalarType</a> const &amp;&#160;</td>
          <td class="paramname"><em>elementDataType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>n</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct an <a class="el" href="classframework_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> representing a CvMat. <br />
It uses a <a class="el" href="classframework_1_1core_1_1cvmatrix__descriptor.html" title="Class describing cvmatrix elements, for log and graphs purpose. ">cvmatrix_descriptor</a> to get size and elements' names. <br />
Names are used for graphs and logs.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>parent </td></tr>
    <tr><td class="paramname">descriptor</td><td>matrix description </td></tr>
    <tr><td class="paramname">type</td><td>type of matrix elements </td></tr>
    <tr><td class="paramname">name</td><td>name </td></tr>
    <tr><td class="paramname">n</td><td>number of samples </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7cd0696287c3c94e49b43544e0f62b1f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::core::cvmatrix::cvmatrix </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>rows</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>cols</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classframework_1_1core_1_1_scalar_type.html">ScalarType</a> const &amp;&#160;</td>
          <td class="paramname"><em>elementDataType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>n</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct an <a class="el" href="classframework_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> representing a CvMat. <br />
Elements are unamed.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>parent </td></tr>
    <tr><td class="paramname">rows</td><td>matrix rows </td></tr>
    <tr><td class="paramname">cols</td><td>matrix cols </td></tr>
    <tr><td class="paramname">type</td><td>type of matrix elements </td></tr>
    <tr><td class="paramname">name</td><td>name </td></tr>
    <tr><td class="paramname">n</td><td>number of samples </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a15496182b07f60d8dee6ebbf273454fa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::core::cvmatrix::~cvmatrix </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a4447c18b41587f8750878c419cfc28c8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float framework::core::cvmatrix::Value </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>col</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Element value. </p>
<p>Element is accessed by locking and unlocking the <a class="el" href="classframework_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> <a class="el" href="classframework_1_1core_1_1_mutex.html" title="Class defining a mutex. ">Mutex</a>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">row</td><td>element row </td></tr>
    <tr><td class="paramname">col</td><td>element col</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>element value </dd></dl>

</div>
</div>
<a class="anchor" id="afb106023ef8d6006394b87caf2afa81e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float framework::core::cvmatrix::ValueNoMutex </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>col</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Element value. </p>
<p>Element is not accessed by locking and unlocking the <a class="el" href="classframework_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> <a class="el" href="classframework_1_1core_1_1_mutex.html" title="Class defining a mutex. ">Mutex</a>. <br />
Thus, this function should be called with <a class="el" href="classframework_1_1core_1_1_mutex.html" title="Class defining a mutex. ">Mutex</a> locked. <br />
This function is usefull when multiple successive access are done to the elments of the matrix. It avoids unnecessary locking and unlocking.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">row</td><td>element row </td></tr>
    <tr><td class="paramname">col</td><td>element col</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>element value </dd></dl>

</div>
</div>
<a class="anchor" id="a680a3d880810cecf9d1b60b117a51b64"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::cvmatrix::SetValue </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>col</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set element value. </p>
<p>Element is accessed by locking and unlocking the <a class="el" href="classframework_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> <a class="el" href="classframework_1_1core_1_1_mutex.html" title="Class defining a mutex. ">Mutex</a>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">row</td><td>element row </td></tr>
    <tr><td class="paramname">col</td><td>element col </td></tr>
    <tr><td class="paramname">value</td><td>element value </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9e4580a7dbb056786f6ad6795580d20c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::cvmatrix::SetValueNoMutex </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>col</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set element value. </p>
<p>Element is not accessed by locking and unlocking the <a class="el" href="classframework_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> <a class="el" href="classframework_1_1core_1_1_mutex.html" title="Class defining a mutex. ">Mutex</a>. <br />
Thus, this function should be called with <a class="el" href="classframework_1_1core_1_1_mutex.html" title="Class defining a mutex. ">Mutex</a> locked. <br />
This function is usefull when multiple successive access are done to the elments of the matrix. It avoids unnecessary locking and unlocking.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">row</td><td>element row </td></tr>
    <tr><td class="paramname">col</td><td>element col </td></tr>
    <tr><td class="paramname">value</td><td>element value </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6bf7a0facaf26e2d3dd8eaab5a72f1ee"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CvMat* framework::core::cvmatrix::getCvMat </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>get CvMat </p>
<p>The <a class="el" href="classframework_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> <a class="el" href="classframework_1_1core_1_1_mutex.html" title="Class defining a mutex. ">Mutex</a> must be used by the user. </p>

</div>
</div>
<a class="anchor" id="a80457477d09eaf847110b82989c87bd5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string framework::core::cvmatrix::Name </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>col</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Element name. </p>
<p>If cvmatrix was created without <a class="el" href="classframework_1_1core_1_1cvmatrix__descriptor.html" title="Class describing cvmatrix elements, for log and graphs purpose. ">cvmatrix_descriptor</a>, element name is empty.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">row</td><td>element row </td></tr>
    <tr><td class="paramname">col</td><td>element col</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>element name </dd></dl>

</div>
</div>
<a class="anchor" id="adef859c1c0e524f76f59476cb2c6292b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classframework_1_1core_1_1_i_o_data_element.html">IODataElement</a>* framework::core::cvmatrix::Element </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>col</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Element. </p>
<p>Get a pointer to a specific element. This pointer can be used for plotting.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">row</td><td>element row </td></tr>
    <tr><td class="paramname">col</td><td>element col</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>pointer to the element </dd></dl>

</div>
</div>
<a class="anchor" id="abf593a38f17bde5aeb7ad841196b79b8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classframework_1_1core_1_1_i_o_data_element.html">IODataElement</a>* framework::core::cvmatrix::Element </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Element. </p>
<p>Get a pointer to a specific element. This pointer can be used for plotting. <br />
This function can be used for a 1D matrix.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">index</td><td>element index</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>pointer to the element </dd></dl>

</div>
</div>
<a class="anchor" id="a5c7aca4feb0d100c3ac7e33026f390d8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t framework::core::cvmatrix::Rows </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Number of rows. </p>
<dl class="section return"><dt>Returns</dt><dd>rows </dd></dl>

</div>
</div>
<a class="anchor" id="a16b419f581afa7a562842af5759ba9e6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t framework::core::cvmatrix::Cols </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Number of colomns. </p>
<dl class="section return"><dt>Returns</dt><dd>colomns </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1core.html">core</a></li><li class="navelem"><a class="el" href="classframework_1_1core_1_1cvmatrix.html">cvmatrix</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
